@import url('https://fonts.googleapis.com/css2?family=BBH+Bogle&family=Dancing+Script:wght@400..700&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Lobster+Two:ital,wght@0,400;0,700;1,400;1,700&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Pacifico&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Rubik:ital,wght@0,300..900;1,300..900&family=Satisfy&display=swap');
/* FOOTER CSS */
.footer {

    background: #0F4C75;
    color: white;
    padding: 20px;
    max-height: 90%; 
    margin-top: 80px;

}

.footer-container {

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 40px;
    max-width: 1000px;
    margin: auto;

}

.footer-box h3 {

    margin-bottom: 15px;
    font-family: "Poppins", sans-serif;

}

.footer-box p {

    color: #ccc;
    line-height: 1.6;
    font-family: "Poppins", sans-serif;

}

.footer-box ul {

    list-style: none;
    padding: 0;

}

.footer-box ul li {

    margin-bottom: 10px;

}

.footer-box ul li a {

    text-decoration: none;
    color: #ccc;
    transition: 0.3s;
    font-family: "Poppins", sans-serif;

}

.footer-box ul li a:hover {

    color: #f4a261;
    font-family: "Poppins", sans-serif;

}

.footer-box ion-icon {

    margin-right: 8px;
    color: #f4a261;
    font-family: "Poppins", sans-serif;

}

.footer-bottom {

    text-align: center;
    margin-top: 40px;
    border-top: 1px solid #333;
    padding-top: 20px;
    color: #aaa;
    font-family: "Poppins", sans-serif;

}
.footer-bottom p {
    font-family: "Poppins", sans-serif;
}
/* FOOTER RESPONSIVE */
@media (max-width: 768px) {
    .footer-container {
        grid-template-columns: 1fr; /* une seule colonne sur tablette */
        gap: 30px;
        text-align: center;
    }

    .footer-box p,
    .footer-box ul li {
        text-align: center;
    }
}

@media (max-width: 480px) {
    .footer {
        padding: 30px 15px; /* plus d'espace sur mobile */
    }

    .footer-bottom {
        font-size: 14px; /* texte un peu plus petit */
    }

    .footer-box h3,
    .footer-box h4 {
        font-size: 18px; /* titres plus petits */
    }

    .footer-box ul li a {
        font-size: 15px;
    }
}
